diff --git a/README.txt b/README.txt
index f26a6ac..3aa467a 100644
--- a/README.txt
+++ b/README.txt
@@ -1,38 +1,46 @@
 This is the README file for Pd, a free real-time computer music software
-package resembling Max.  You can get Pd for Linux, Mac OSX, or MS Windows,
-from http://www.crca.ucsd.edu/~msp/software.html.
+package resembling Max.
+
+You can get Pd for Linux, Mac OS X, or MS Windows from:
+
+    http://msp.ucsd.edu/software.html
+
 Installation instructions are in the HTML DOCUMENTATION at:
 
-    http://www.crca.ucsd.edu/~msp/Pd_documentation/index.htm
+    http://msp.ucsd.edu/Pd_documentation/index.htm
 
 If you download and unpack Pd, you will also find the html documentation
-locally in the file, .../pd-whatever/doc/1.manual/index.htm.  To unpack Pd:
+locally in the file ".../pd-whatever/doc/1.manual/index.htm".
 
-LINUX (or freeBSD).  In some linux installations you can download Pd via
+Linux (or FreeBSD): in some Linux installations you can download Pd via
 "apt-get install puredata" or "yum install puredata"; otherwise you will have to
-download the source and compile it as described in the file, INSTALL.txt
+download the source and compile it as described in the file "INSTALL.txt".
+
+Microsoft Windows: Pd binaries are distributed as a "zip" file. Unzip this,
+creating a directory such as "\pd".
 
-Microsoft Windows.  Pd binaries are distributed as a "zip" file.   Unzip this,
-creating a directory such as \pd.
+Macintosh: Pd binaries are distributed as a "tar.gz" file. The web browser will
+automatically download this archive into your Downloads folder. Double click
+to extract the archived Mac app which you can then run and/or drag into your
+Applications folder.
 
-Macintosh.  The web browser will automatically unpack the distributions
-into a folder such as "pd-0.35" on your desktop.
+If you have questions about Pd, or if you wish to be notified of releases,
+check the Pd mailing list:
 
-If you have qustions about Pd, or if you wish to be notified of releases,
-check the Pd mailing list: http://iem.mhsg.ac.at/mailinglists/pd-list/
+    http://lists.puredata.info/listinfo
 
 Many extensions to Pd are available, notably for handling video and 3D
 graphics; see the html documentation for pointers.
 
-COPYRIGHT.  Except as otherwise noted, all files in the Pd distribution are
+COPYRIGHT: except as otherwise noted, all files in the Pd distribution are
 
-    Copyright (c) 1997-2013 Miller Puckette and others.
+    Copyright (c) 1997-2016 Miller Puckette and others.
 
 For information on usage and redistribution, and for a DISCLAIMER OF ALL
 WARRANTIES, see the file, "LICENSE.txt," included in the Pd distribution.
 (Note that tcl/tk, expr, and some other files are copyrighted separately).
 
-ACKNOWLEDGEMENTS.  Thanks to Harry Castle, Krzysztof Czaja, Mark Danks,
+ACKNOWLEDGEMENTS: Thanks to Harry Castle, Krzysztof Czaja, Mark Danks,
 Christian Feldbauer, Guenter Geiger, Kerry Hagan, Trevor Johnson, Fernando
 Lopez-Lezcano, Adam Lindsay, Karl MacMillan, Thomas Musil, Toshinori Ohkouchi,
 Winfried Ritsch, Vibeke Sorensen, Rand Steiger, Hans-Christoph Steiner,
